javax.ws.rs

## Class NotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.WebApplicationException
        - - javax.ws.rs.ClientErrorException
          - - javax.ws.rs.NotFoundException

- All Implemented Interfaces:
    Serializable

      public class NotFoundException
      extends ClientErrorException

  A runtime exception indicating a resource requested by a client was `not found` on the server.
  Since:
    2.0
  Author:
    Sergey Beryozkin, Marek Potociar
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotFoundException()` Construct a new "not found" exception.
    `NotFoundException(Response response)` Construct a new "not found" exception.
    `NotFoundException(Response response, Throwable cause)` Construct a new "not found" exception.
    `NotFoundException(String message)` Construct a new "not found" exception.
    `NotFoundException(String message, Response response)` Construct a new "not found" exception.
    `NotFoundException(String message, Response response, Throwable cause)` Construct a new "not found" exception.
    `NotFoundException(String message, Throwable cause)` Construct a new "not found" exception.
    `NotFoundException(Throwable cause)` Construct a new "not found" exception.

  - ### Method Summary

    - ### Methods inherited from class javax.ws.rs.WebApplicationException

      `getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotFoundException

          public NotFoundException()

      Construct a new "not found" exception.

    - #### NotFoundException

          public NotFoundException(String message)

      Construct a new "not found" exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

    - #### NotFoundException

          public NotFoundException(Response response)

      Construct a new "not found" exception.
      Parameters:
        `response` - error response.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `404`.

    - #### NotFoundException

          public NotFoundException(String message,
                           Response response)

      Construct a new "not found" exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - error response.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `404`.

    - #### NotFoundException

          public NotFoundException(Throwable cause)

      Construct a new "not found" exception.
      Parameters:
        `cause` - the underlying cause of the exception.

    - #### NotFoundException

          public NotFoundException(String message,
                           Throwable cause)

      Construct a new "not found" exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the underlying cause of the exception.

    - #### NotFoundException

          public NotFoundException(Response response,
                           Throwable cause)

      Construct a new "not found" exception.
      Parameters:
        `response` - error response.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `404`.

    - #### NotFoundException

          public NotFoundException(String message,
                           Response response,
                           Throwable cause)

      Construct a new "not found" exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - error response.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `404`.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.